Skip to main content
GET
/
mailbox
/
submissions
/
changes
Get submission changes
curl --request GET \
  --url https://app.sendmux.ai/api/v1/mailbox/submissions/changes \
  --header 'Authorization: Bearer <token>'
{
  "ok": true,
  "meta": {
    "request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
  },
  "data": {
    "old_state": "<string>",
    "new_state": "<string>",
    "has_more": true,
    "created": [
      "<string>"
    ],
    "updated": [
      "<string>"
    ],
    "destroyed": [
      "<string>"
    ],
    "updated_properties": [
      "<string>"
    ],
    "sync_required": true
  }
}

Authorizations

Authorization
string
header
required

Sendmux API key. Use a root API key for Management API routes, or a mailbox credential for Mailbox API routes. Obtain keys from the dashboard under API Keys.

Query Parameters

since_state
string
limit
integer
Required range: 1 <= x <= 500
mailbox_id
string

Mailbox public ID to target when the credential grants access to more than one mailbox. Omit when the credential is scoped to exactly one mailbox.

Response

Submission changes

ok
enum<boolean>
required
Available options:
true
meta
object
required
data
object
required